> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Invoke automation

> Schedules an invocation for an active automation. Runtime callers use the active action as the idempotency identity; other callers must provide idempotencyKey.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json post /automations/{automation}/invocations
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /automations/{automation}/invocations:
    post:
      tags:
        - Automations
      summary: Invoke automation
      description: >-
        Schedules an invocation for an active automation. Runtime callers use
        the active action as the idempotency identity; other callers must
        provide idempotencyKey.
      operationId: invokeAutomation
      parameters:
        - name: automation
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            description: >-
              Exact automation ID or unique active deployed description. IDs
              take precedence.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                entrypoint:
                  type: string
                  minLength: 1
                  default: default
                idempotencyKey:
                  type: string
                  minLength: 1
                  maxLength: 255
                payload:
                  not: {}
                runAt:
                  anyOf:
                    - anyOf:
                        - type: string
                          format: date-time
                          x-native-type: date
                        - type: string
                          minLength: 1
                        - type: number
                    - not: {}
                runIn:
                  anyOf:
                    - not: {}
                    - anyOf:
                        - type: string
                          minLength: 1
                        - type: number
                          minimum: 0
              required:
                - payload
      responses:
        '202':
          description: Invocation accepted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  runAt:
                    type: string
                    format: date-time
                    x-native-type: date
                required:
                  - id
                  - runAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````